gir1.2-ggit-1.0_0.28.0.1-1_i386.deb


Advertisement

Description

gir1.2-ggit-1.0 - GObject introspection data for the git2-glib-1.0 library

Property Value
Distribution Debian Sid
Repository Debian Main i386
Package filename gir1.2-ggit-1.0_0.28.0.1-1_i386.deb
Package name gir1.2-ggit-1.0
Package version 0.28.0.1
Package release 1
Package architecture i386
Package type deb
Category introspection
Homepage https://wiki.gnome.org/Projects/Libgit2-glib
License -
Maintainer Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Download size 25.59 KB
Installed size 114.00 KB

Alternatives

Package Version Architecture Repository
gir1.2-ggit-1.0_0.28.0.1-1_amd64.deb 0.28.0.1 amd64 Debian Main
gir1.2-ggit-1.0 - - -

Requires

Name Value
gir1.2-glib-2.0 -
libgit2-glib-1.0-0 >= 0.28.0.1

Provides

Name Value
gir1.2-git2-glib-1.0 -

Conflicts

Name Value
gir1.2-git2-glib-1.0 -

Replaces

Name Value
gir1.2-git2-glib-1.0 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package gir1.2-ggit-1.0_0.28.0.1-1_i386.deb
Source Package libgit2-glib

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gir1.2-ggit-1.0 deb package:
    # sudo apt-get install gir1.2-ggit-1.0

Files

Path
/usr/lib/i386-linux-gnu/girepository-1.0/Ggit-1.0.typelib
/usr/lib/python3/dist-packages/gi/overrides/overrides/Ggit.py
/usr/share/doc/gir1.2-ggit-1.0/changelog.Debian.gz
/usr/share/doc/gir1.2-ggit-1.0/copyright
/usr/share/lintian/overrides/gir1.2-ggit-1.0

Changelog

2019-08-26 - Simon McVittie <smcv@debian.org>
libgit2-glib (0.28.0.1-1) unstable; urgency=medium
* Team upload
[ Simon McVittie ]
* New upstream release
- Compatible with libgit2 0.28 (Closes: #931684)
* d/tests/build: Rebuild and run upstream's unit test as an autopkgtest.
This exercises basic functionality of the library itself, as well as
the -dev package.
* d/p/Use-basename-in-enumtypes-templates.patch:
Add patch from Chris Lamb to make the build more reproducible
(Closes: #907793)
* Use a temporary home directory to work around #935817
(Closes: #934673)
* Standards-Version: 4.4.0 (no changes required)
* Set Rules-Requires-Root to no
[ Jongmin Kim ]
* Add new symbols
[ Pirate Praveen ]
* Use libgit2-dev >= 0.28
[ Simon McVittie ]
* Revert "Use libgit2-dev >= 0.28".
This version can be binNMU'd to be rebuilt against the new version
of libgit2 when the time comes.
2019-03-17 - Jeremy Bicha <jbicha@debian.org>
libgit2-glib (0.27.8-1) experimental; urgency=medium
* New upstream release
* Bump minimum meson to 0.48.0
* deiban/libgit2-glib-1.0-0.symbols: Add new symbols
2018-12-23 - Jeremy Bicha <jbicha@debian.org>
libgit2-glib (0.27.7-1) unstable; urgency=medium
* New upstream release
* Add -Wl,-O1 to our LDFLAGS
* Drop libgit2-0.27-compat.patch: Applied in new release
* debian/watch: Watch for odd-numbered release too
* Bump Standards-Version to 4.3.0
2018-07-08 - Simon McVittie <smcv@debian.org>
libgit2-glib (0.26.4-1) unstable; urgency=medium
* Team upload
[ Jeremy Bicha ]
* New upstream release
- No longer uses gnome-common (Closes: #829841)
* Build with meson
* Drop obsolete debian/source/options
* Bump Standards-Version to 4.1.4
[ Simon McVittie ]
* d/p/libgit2-0.27-compat.patch:
Add patch from Steve Langasek to adapt to libgit2 0.27's API,
modified so that we can build against either libgit2 0.26 or 0.27
and so will only need a binNMU for the transition (Closes: #903146)
2018-01-20 - Jeremy Bicha <jbicha@debian.org>
libgit2-glib (0.26.2-1) unstable; urgency=medium
* New upstream release
* debian/libgit2-glib-1.0-0.symbols: Add new symbols
* Add debian/docs to install NEWS
* Update debian/gbp.conf for Debian GNOME conventions
* Update Vcs fields for migration to https://salsa.debian.org/
* Bump debhelper compat to 11
2017-09-14 - Laurent Bigonville <bigon@debian.org>
libgit2-glib (0.26.0-3) unstable; urgency=medium
* Upload to unstable
2017-08-25 - Laurent Bigonville <bigon@debian.org>
libgit2-glib (0.26.0-2) experimental; urgency=medium
* Rename gir1.2-git2-glib-1.0 to gir1.2-ggit-1.0
2017-08-25 - Laurent Bigonville <bigon@debian.org>
libgit2-glib (0.26.0-1) experimental; urgency=medium
* New upstream version 0.26.0 (Closes: #872850)
* debian/control: Bump libgit2 build-dependency to 0.26.0
* debian/libgit2-glib-1.0-0.symbols: Adjust the symbols file
* Drop -dbg package and rely on the dbgsym one
* gir1.2-git2-glib-1.0.install: Install the typelib file in the m-a path
* debian/control: Bump Standards-Version to 4.1.0 (no further changes)
* Adopt the package in behalf of the Debian GNOME Maintainers team
(Closes: #851451)
* debian/control.in: Drop libgirepository1.0-dev from the
libgit2-glib-1.0-dev deps
2016-10-16 - Dmitry Smirnov <onlyjob@debian.org>
libgit2-glib (0.24.4-1) unstable; urgency=medium
* New upstream release [September 2016].
* Standards-Version: 3.9.8.
* Modernised Vcs-Browser URL.
* Fixed Vcs-Git URL.
2016-04-14 - Dmitry Smirnov <onlyjob@debian.org>
libgit2-glib (0.24.0-3) unstable; urgency=medium
* Upload to unstable.

See Also

Package Description
gir1.2-gkbd-3.0_3.26.1-1_i386.deb GObject introspection data for the GnomeKbd library
gir1.2-gladeui-2.0_3.22.1-4_i386.deb GObject introspection data for the GTK+ User Interface library
gir1.2-glib-2.0_1.62.0-2_i386.deb Introspection data for GLib, GObject, Gio and GModule
gir1.2-gmenu-3.0_3.32.0-1_i386.deb GObject introspection data for the GNOME menu library
gir1.2-gmime-2.6_2.6.23+dfsg1-4_i386.deb MIME parser and creator (old 2.6 version) - GObject introspection data
gir1.2-gmime-3.0_3.2.4-1_i386.deb MIME message parser and creator library - GObject introspection data
gir1.2-gnomeautoar-0.1_0.2.3-2_i386.deb GObject introspection data for GnomeAutoar
gir1.2-gnomeautoargtk-0.1_0.2.3-2_i386.deb GObject introspection data for GnomeAutoarGtk
gir1.2-gnomebluetooth-1.0_3.34.0-1_i386.deb Introspection data for GnomeBluetooth
gir1.2-gnomedesktop-3.0_3.34.1-1_i386.deb Introspection data for GnomeDesktop
gir1.2-gnumeric_1.12.45-1+b1_i386.deb GObject introspection data for the Gnumeric spreadsheet
gir1.2-goa-1.0_3.34.0-2_i386.deb Introspection data for GNOME Online Accounts
gir1.2-goffice-0.10_0.10.45-1_i386.deb GObject introspection data for the GOffice library
gir1.2-gom-1.0_0.3.3-5_i386.deb GObject introspection data for libgom
gir1.2-goocanvas-2.0_2.0.4-1_i386.deb GObject introspection data for GooCanvas - gir bindings
Advertisement
Advertisement